Package org.drinkless.tdlib

# Class TdApi.EditMessageLiveLocation

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Message>
org.drinkless.tdlib.TdApi.EditMessageLiveLocation

Enclosing class:
  `TdApi`

public static class TdApi.EditMessageLiveLocation extends TdApi.Function<TdApi.Message>
Edits the message content of a live location. Messages can be edited for a limited period of time specified in the live location. Returns the edited message after the edit is completed on the server side.

Returns `Message`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  The chat the message belongs to.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `heading`
  The new direction in which the location moves, in degrees; 1-360.
  `int`
  `livePeriod`
  New time relative to the message send date, for which the location can be updated, in seconds.
  `TdApi.Location`
  `location`
  New location content of the message; pass null to stop sharing the live location.
  `long`
  `messageId`
  Identifier of the message.
  `int`
  `proximityAlertRadius`
  The new maximum distance for proximity alerts, in meters (0-100000).
  `TdApi.ReplyMarkup`
  `replyMarkup`
  The new message reply markup; pass null if none; for bots only.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EditMessageLiveLocation()`
  Default constructor for a function, which edits the message content of a live location.
  `EditMessageLiveLocation(long chatId, long messageId, TdApi.ReplyMarkup replyMarkup, TdApi.Location location, int livePeriod, int heading, int proximityAlertRadius)`
  Creates a function, which edits the message content of a live location.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    The chat the message belongs to.

  - ### messageId

    public long messageId
    Identifier of the message. Use messageProperties.canBeEdited to check whether the message can be edited.

  - ### replyMarkup

    public TdApi.ReplyMarkup replyMarkup
    The new message reply markup; pass null if none; for bots only.

  - ### location

    public TdApi.Location location
    New location content of the message; pass null to stop sharing the live location.

  - ### livePeriod

    public int livePeriod
    New time relative to the message send date, for which the location can be updated, in seconds. If 0x7FFFFFFF specified, then the location can be updated forever. Otherwise, must not exceed the current livePeriod by more than a day, and the live location expiration date must remain in the next 90 days. Pass 0 to keep the current livePeriod.

  - ### heading

    public int heading
    The new direction in which the location moves, in degrees; 1-360. Pass 0 if unknown.

  - ### proximityAlertRadius

    public int proximityAlertRadius
    The new maximum distance for proximity alerts, in meters (0-100000). Pass 0 if the notification is disabled.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### EditMessageLiveLocation

    public EditMessageLiveLocation()
    Default constructor for a function, which edits the message content of a live location. Messages can be edited for a limited period of time specified in the live location. Returns the edited message after the edit is completed on the server side.

    Returns `Message`

  - ### EditMessageLiveLocation

    public EditMessageLiveLocation(long chatId, long messageId, TdApi.ReplyMarkup replyMarkup, TdApi.Location location, int livePeriod, int heading, int proximityAlertRadius)
    Creates a function, which edits the message content of a live location. Messages can be edited for a limited period of time specified in the live location. Returns the edited message after the edit is completed on the server side.

    Returns `Message`

    Parameters:
      `chatId` - The chat the message belongs to.
      `messageId` - Identifier of the message. Use messageProperties.canBeEdited to check whether the message can be edited.
      `replyMarkup` - The new message reply markup; pass null if none; for bots only.
      `location` - New location content of the message; pass null to stop sharing the live location.
      `livePeriod` - New time relative to the message send date, for which the location can be updated, in seconds. If 0x7FFFFFFF specified, then the location can be updated forever. Otherwise, must not exceed the current livePeriod by more than a day, and the live location expiration date must remain in the next 90 days. Pass 0 to keep the current livePeriod.
      `heading` - The new direction in which the location moves, in degrees; 1-360. Pass 0 if unknown.
      `proximityAlertRadius` - The new maximum distance for proximity alerts, in meters (0-100000). Pass 0 if the notification is disabled.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Message>`
    Returns:
      this.CONSTRUCTOR